package org.eclipse.persistence.jpa.test.framework;

import org.eclipse.persistence.config.PersistenceUnitProperties;

public enum DDLGen {
    DROP_CREATE, CREATE_UPDATE;

    public String toString() {
        switch (this) {
        case DROP_CREATE:
            return PersistenceUnitProperties.DROP_AND_CREATE;
        case CREATE_UPDATE:
            return PersistenceUnitProperties.CREATE_OR_EXTEND;
        }
        // unexpected
        throw new RuntimeException("Unknown Table type.");
    };

}
