package org.eclipse.persistence.jpa.test.framework;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface Emf {
    String name() default "default-pu-name";
    DDLGen createTables() default DDLGen.CREATE_UPDATE;
    Class<?>[] classes() default {};
    Property[] properties() default {};
    String[] mappingFiles() default {};
}
